Bug 180477 - MEMORY2 doesn't test available RAM on 32-bit kernels
MEMORY2 doesn't test available RAM on 32-bit kernels
Status: CLOSED ERRATA
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: memory (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Will Woods
Rob Landry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-08 09:10 EST by Rob Landry
Modified: 2007-04-18 13:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0278
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 09:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Landry 2006-02-08 09:10:26 EST
Description of problem:

$Summary as a result of memsize trying to malloc >3GB on 32-bit kernels

Steps to Reproduce:
1.find a 32-bit kernel with >~3GB of RAM
2.run memsize 3000
  
Actual results:

<snip>
$lmbench_dir/memsize $mem
++ /usr/lib/lmbench/bin/i686-pc-linux-gnu/memsize 3287
malloc: Cannot allocate memory
</snip>

the side effect causes this series of events; which nets us testing 500MB on a
4GB+ box:

<snip>
+ '[' -z '' ']'
+ echo 'WARNING: memsize failed! Using 80% of reported free RAM'
WARNING: memsize failed! Using 80% of reported free RAM
awk '/^MemFree:/ {print $2}' /proc/meminfo
++ awk '/^MemFree:/ {print $2}' /proc/meminfo
+ local freemem=1441
+ avail=1152
+ echo '1152MB available'
1152MB available
+ local MB=576
</snip>

Expected results:

Full testing of available ram; it would of been nice if memsize would fork to
properly flush the buffers cache's etc.; however the alternative is to make
MEMORY2 smarter and have it allocate no larger than 2.8 or so GB per process and
flush RAM out that way; at least on 32-bit kernels; another possibility might be
to add free + buffers + cache; minus some gap amount and try to test that; if we
can't flush the buffers and cache's at least mostly then something went wrong I
would guess.
Comment 1 Will Woods 2006-02-14 17:01:59 EST
A patch is in CVS that makes MEMORY2 use multiple test processes on x86 machines
with large amounts of RAM.
Comment 4 Red Hat Bugzilla 2006-05-08 09:39:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0284.html
Comment 5 Red Hat Bugzilla 2006-05-08 09:39:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0278.html

Note You need to log in before you can comment on or make changes to this bug.